<template>
  <footer class="pt-20 pb-12">
    <div class="container mx-auto">
      <div class="grid grid-cols-1 lg:grid-cols-4 gap-10 py-10">
        <div>
          <h3
            class="text-2xl relative font-semibold pb-6 mb-6 before:content-[''] before:block before:h-[4px] before:w-12 before:bg-primary-400 before:absolute before:left-0 before:bottom-0"
          >
            About Us
          </h3>
          <p class="text-sm text-gray-400">
            Acexus Transportation is a leading trucking company with over 20
            years of expertise.
          </p>
          <p class="text-sm text-gray-400 mt-2">
            We will provide the best service, the most value for our customers
            based on the connection between technology and people
          </p>
          <div class="flex items-center gap-2 mt-2">
            <nuxt-link
              to=""
              class="h-10 w-10 rounded-full flex justify-center items-center border border-solid border-gray-400 text-gray-400 transition duration-200 hover:text-white hover:bg-primary-400 hover:border-primary-400 ease-ease"
            >
              <font-awesome-icon icon="fa-brands fa-facebook-f" />
            </nuxt-link>
            <nuxt-link
              to=""
              class="h-10 w-10 rounded-full flex justify-center items-center border border-solid border-gray-400 text-gray-400 transition duration-200 hover:text-white hover:bg-primary-400 hover:border-primary-400 ease-ease"
            >
              <font-awesome-icon icon="fa-brands fa-twitter" />
            </nuxt-link>
            <nuxt-link
              to=""
              class="h-10 w-10 rounded-full flex justify-center items-center border border-solid border-gray-400 text-gray-400 transition duration-200 hover:text-white hover:bg-primary-400 hover:border-primary-400 ease-ease"
            >
              <font-awesome-icon icon="fa-brands fa-instagram" />
            </nuxt-link>
            <nuxt-link
              to=""
              class="h-10 w-10 rounded-full flex justify-center items-center border border-solid border-gray-400 text-gray-400 transition duration-200 hover:text-white hover:bg-primary-400 hover:border-primary-400 ease-ease"
            >
              <font-awesome-icon icon="fa-brands fa-google-plus-g" />
            </nuxt-link>
          </div>
        </div>
        <div>
          <h3
            class="text-2xl relative font-semibold pb-6 mb-6 before:content-[''] before:block before:h-[4px] before:w-12 before:bg-primary-400 before:absolute before:left-0 before:bottom-0"
          >
            Quick Links
          </h3>
          <ul>
            <li class="text-sm text-gray-400 pb-3">
              <nuxt-link
                to="/"
                class="border-b border-solid border-gray-400 transition duration-200 hover:text-primary-400 hover:border-primary-400 ease-ease"
                >Home</nuxt-link
              >
            </li>
            <li class="text-sm text-gray-400 pb-3">
              <nuxt-link
                to="/about"
                class="border-b border-solid border-gray-400 transition duration-200 hover:text-primary-400 hover:border-primary-400 ease-ease"
                >About</nuxt-link
              >
            </li>
            <li class="text-sm text-gray-400 pb-3">
              <nuxt-link
                to=""
                class="border-b border-solid border-gray-400 transition duration-200 hover:text-primary-400 hover:border-primary-400 ease-ease"
                >Why Choose Us</nuxt-link
              >
            </li>
            <li class="text-sm text-gray-400 pb-3">
              <nuxt-link
                to=""
                class="border-b border-solid border-gray-400 transition duration-200 hover:text-primary-400 hover:border-primary-400 ease-ease"
                >Gallery</nuxt-link
              >
            </li>
            <li class="text-sm text-gray-400 pb-3">
              <nuxt-link
                to=""
                class="border-b border-solid border-gray-400 transition duration-200 hover:text-primary-400 hover:border-primary-400 ease-ease"
                >Contact</nuxt-link
              >
            </li>
          </ul>
        </div>
        <div class="col-span-2">
          <h3
            class="text-2xl relative font-semibold pb-6 mb-6 before:content-[''] before:block before:h-[4px] before:w-12 before:bg-primary-400 before:absolute before:left-0 before:bottom-0"
          >
         Contact Us
          </h3>
          <ul>
            <li class="text-sm text-gray-400 pb-3">
              <div
                class="flex items-center gap-2 transition duration-200 hover:text-primary-400 ease-ease"
              >
                <div>
                  <font-awesome-icon icon="fa-solid fa-location-dot" />
                </div>
                <p>8595 Milliken Ave, Suite 101 Rancho Cucamonga, CA 91730</p>
              </div>
            </li>
            <li class="text-sm text-gray-400 pb-3">
              <div
                class="flex items-center gap-2 transition duration-200 hover:text-primary-400 ease-ease"
              >
                <div>
                  <font-awesome-icon icon="fa-solid fa-phone" />
                </div>
                <p>909-632-1643</p>
              </div>
            </li>
          </ul>
        </div>
      </div>
      <div
        class="pt-6 text-center text-gray-400 border-t border-solid border-gray-400"
      >
        <p>COPYRIGHT © 2022 ACEXUS TRANSPORTATION INC. ALL RIGHTS RESERVED</p>
      </div>
    </div>
  </footer>
</template>
